-- ZB_CK_KAFKA_POLICY 保单清单kafka
insert into ZB_CK.ZB_CK_MYSQL.KAFKA_POLICY
select
     LongTimeToStringUDF(signDate,'yyyyMMdd')              as signDate             -- 标记时间 UnderWriteEndDate
    ,LongTimeToStringUDF(startTime,'yyyyMMdd')             as startTime            -- 起保时间
    ,businessOffice                                        as businessOffice       -- 保单归属机构代码
    ,productCode                                           as productCode          -- 险种代码
    ,businessChannelCode                                   as businessChannelCode  -- 业务渠道
    ,businessNatureCode                                    as businessNatureCode   -- 业务来源
    ,netPremium                                            as netPremium
    ,sigAndStaExchangeRate                                 as sigAndStaExchangeRate
    ,coinsCode                                             as coinsCode
    ,coinsLinkCode                                         as coinsLinkCode
    ,cast( JsonGetCoinsRate(cast(plcSolution[1].plcCoins.plcLinkBasicInformat     as varchar)) as varchar) as LinkCoinsRate
    ,cast( JsonGetCoinsRate(cast(plcSolution[1].plcCoins.plcCoinsBasicInformation as varchar)) as varchar) as CoinsCoinsRate
    ,policyNo                                              as policyNo              -- 保单号
    ,newPolicyFlag                                         as newPolicyFlag
    ,autoTransrenewFlag                                    as autoTransrenewFlag
    ,transferPolicyFlag                                    as transferPolicyFlag
    ,transrenewFlag                                        as transrenewFlag
    ,mainSalesmanCode                                      as mainSalesmanCode     -- 14 归属业务员ID
    ,mainSalesmanName                                      as mainSalesmanName     -- 15 归属业务员名称
    ,log_time                                              as log_time
    ,signDate                                              as long_signDate
    ,startTime                                             as long_startTime
from ODS.ODS_KAFKA.POLICY -- 保单业务数据
;

